
<form class="form" (ngSubmit)="saveTransfer()" ngNativeValidate>

    <div class="form-group row">
        <div class="col-12 pb-4">
            <label for="addressee" class="required mt-3">Destinatario</label>
            <ng-select required [(ngModel)]="transfer.id_addressee" (change)="filterOption(transfer.id_addressee)" [ngModelOptions]="{standalone: true}">
                <ng-option *ngFor="let addressee of addresseeList" [value]="addressee.id_addressee">{{addressee.name}}</ng-option>
            </ng-select>
        </div>
        <div class="col-12">
            <div class="card text-left" *ngIf="addresseeSelect">
                <img class="card bg-info" src="holder.js/100px180/" alt="">
                <div class="card-body">
                    <h3 class="card-title">Detalles del destinatario</h3>
                    <p class="card-text">Nombre:<b>{{addresseeSelect.name}}</b></p>
                    <p class="card-text">Correo:<b>{{addresseeSelect.email}}</b></p>
                    <p class="card-text">Banco:<b>{{banco?.name}}</b></p>
                    <p class="card-text">Tipo de cuenta:<b>{{addresseeSelect.tipocuenta}}</b></p>
                </div>
            </div>
        </div>
        
        <!-- <div *ngIf="addresseeSelect">
            <p>{{addresseeSelect | json}}</p>
        </div> -->
        
        <div class="col-6 pb-4">
            <label for="numCuenta" class="required mt-3">Monto transferencia</label>
            <input 
            autofocus
            autocomplete="off"  
            required
            type="number" 
            class="form-control"
            [(ngModel)]="transfer.mount"
            name="transferMount"
            placeholder="monto transferencia"
            pattern="[0-9]+"
            min="1"
            >
        </div>
        
        
        
    </div>
    <button type="submit" class="btn btn-success col-12">Completar</button>
    
</form>